<?php
 
 
 

namespace PhpWA\Protocol\Proto\MsgOpaqueData;

use UnexpectedValueException;




class PollContentType
{
    


    const UNKNOWN = 0;
    


    const TEXT = 1;
    


    const IMAGE = 2;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::TEXT => 'TEXT',
        self::IMAGE => 'IMAGE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

